// butledand.c - turn LED1 on when B1 AND B2 pressed
// Single loop with "if"
// Olimex 1121STK board, LED1 active low on P2.3, LED2 on P2.4
//   button B1 active low on P2.1, B2 active low on P1.2
// J H Davies, 2008-03-19; IAR Kickstart version 3.41A
//----------------------------------------------------------------------
#include <msp430x11x1.h>		// Specific device

// Pins for LED1 and button B1 on port 2; button B2 on port 1
//   (bit fields would include the port and would therefore be clearer)
#define	LED1	BIT3
#define	B1		BIT1
#define	B2		BIT2

void main (void)
{
	WDTCTL = WDTPW | WDTHOLD;	// Stop watchdog timer
	P2OUT |= LED1;				// Preload LED off (active low!)
	P2DIR = LED1;				// Set pin with LED to output
	for (;;) {					// Loop forever
		if (((P2IN & B1) == 0) && ((P1IN & B2) == 0)) {
								// Are both buttons B1 AND B2 down?
			P2OUT &= ~LED1;		// Yes: Turn LED1 on (active low!)
		} else {
			P2OUT |= LED1;		// No: Turn LED1 off (active low!)
		}
	}
}
// It might be clearer to test if either B1 or B2 is up with
//		if ((P2IN & B1) || (P1IN & B2))
// and reversing the lines for the LED