// butledback.c - press button to turn LED off (instead of on)
// Single loop with "if"
// Olimex 1121STK board, LED1 active low on P2.3,
//   button B1 active low on P2.1
// J H Davies, 2008-03-19; IAR Kickstart version 3.41A
//----------------------------------------------------------------------
#include <msp430x11x1.h>		// Specific device

// Pins for LED and button on port 2
#define	LED1	BIT3
#define	B1		BIT1

void main (void)
{
	WDTCTL = WDTPW | WDTHOLD;	// Stop watchdog timer
	P2OUT |= LED1;				// Preload LED1 off (active low!)
	P2DIR = LED1;				// Set pin with LED1 to output
	for (;;) {					// Loop forever
		if ((P2IN & B1) != 0) {	// Is button up? (active low)
			P2OUT &= ~LED1;		// Yes: Turn LED1 on (active low!)
		} else {
			P2OUT |= LED1;		// No: Turn LED1 off (active low!)
		}
	}
}
