// count1.c - counts on LEDs when button pressed
// Two loops, one for each state of the button
// Olimex 1121STK board, LED1,2 active low on P2.3,4;
//   button B1 active low on P2.1
// No other outputs must be active on P2
// J H Davies, 2006-06-01; IAR Kickstart version 3.41A
//----------------------------------------------------------------------
#include <msp430x11x1.h>			// Specific device

// Pins for LED and button on port 2
#define	LED1	BIT3
#define	LED2	BIT4
#define	B1		BIT1

void main (void)
{
	WDTCTL = WDTPW | WDTHOLD;		// Stop watchdog timer
	P2OUT = 0xFF;					// Turn all LEDs off (active low!)
	P2DIR = LED1|LED2;				// Set pins with LED1,2 to output
	for (;;) {						// Loop forever
		while ((P2IN & B1) != 0) {	// Loop while button up
		}							// (active low) doing nothing
// Actions to be taken when button is pressed: Count up
		P2OUT -= LED1;				// Count up (active low!)
		while ((P2IN & B1) == 0) {	// Loop while button down
		}							// (active low) doing nothing
// Actions to be taken when button is released: None
	}
}
