// timrled4.c - toggles LEDs with period of 1s
// Poll free-running timer A with period of 0.5s
// Timer clock is 32KHz ACLK, no division, up mode, period 0x4000
// Olimex 1121STK, LED1,2 active low on P2.3,4
// J H Davies, 2006-06-12; IAR Kickstart version 3.41A
//----------------------------------------------------------------------
#include <io430x11x1.h>					// Specific device

// Pins for LEDs
#define	LED1	BIT3
#define	LED2	BIT4

void main (void)
{
	WDTCTL = WDTPW|WDTHOLD;				// Stop watchdog timer
	P2OUT = ~LED1;						// Preload LED1 on, LED2 off
	P2DIR = LED1|LED2;					// Set pins for LED1,2 to output
	TACCR0 = 0x3FFF;					// Upper limit of count for TAR
	TACTL = MC_1|TASSEL_1;				// Set up and start Timer A
// "Up to CCR0" up mode, clock from ACLK (no division)
	for (;;) {							// Loop forever
		while (TACTL_bit.TAIFG == 0) {	// Wait for overflow
		}								//   doing nothing
		TACTL_bit.TAIFG = 0;			// Clear overflow flag
		P2OUT ^= LED1|LED2;				// Toggle LEDs
	}									// Back around infinite loop
}
