// wdtest1.c - trival program to test watchdog timer
// Olimex 1121STK board, 32KHz ACLK
// J H Davies, 2007-05-09
// IAR Kickstart version 3.42A
//----------------------------------------------------------------------
#include <io430x11x1.h>			// Specific device, new format header
//----------------------------------------------------------------------
// Pins for LEDs and button
#define	LED1		P2OUT_bit.P2OUT_3
#define	LED2		P2OUT_bit.P2OUT_4
#define	B1			P2IN_bit.P2IN_1
// Watchdog config: active, ACLK/32768 = 1s interval; clear counter
#define	WDTCONFIG	(WDTPW | WDTCNTCL | WDTSSEL)
//----------------------------------------------------------------------
void main (void)
{
	P2DIR = BIT3 | BIT4;				// Set pins with LEDs to output
	if (IFG1_bit.WDTIFG == 1) {			// Reset caused by watchdog
		LED2 = 0;
		WDTCTL = WDTPW | WDTHOLD;		// Stop watchdog
		for (;;) {						// Halt here
		}
	} else {
		WDTCTL = WDTCONFIG;					// (Re)configure watchdog
		for (;;) {							// Loop forever
			LED2 = ~IFG1_bit.WDTIFG;		// LED2 shows state of WDTIFG
			if (B1 == 1) {					// Button up
				LED1 = 1;					// LED1 off
			} else { 						// Button down
//				WDTCTL = WDTCONFIG;			// Feed/pet/kick/clear watchdog
				WDTCTL_bit.WDTCNTCL = 1;	// Crashes it
				LED1 = 0;					// LED1 on
			}
		}
	}
}
